Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2011-5-27 22:23

# Class Members

- Defined in: Members.js
- Extends HopObject

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Members()

Field Summary
Field Attributes | Field Name and Description
--- | ---
<private> | _children
| contributors
| managers
| owners
| subscribers

## Method Summary

Method Attributes | Method Name and Description
--- | ---
| addMembership(data)
| getPermission(action)
| search(searchString)

Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getFormOptions
  getFormValue
  getMetadata
  getTags
  getTitle
  handleMetadata
  input_macro
  kind_macro
  link_filter
  link_macro
  log
  macro_macro
  map
  metadata_macro
  modified_macro
  modifier_macro
  notify
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  toString
  touch
  type_macro
  upload_macro

## Class Detail

Members()

## Field Detail

<private> {Membership[]} _children
{Membership[]} contributors
{Membership[]} managers
{Membership[]} owners
{Membership[]} subscribers

## Method Detail

- {Membership} addMembership(data)
  Parameters:
  {Object} data
  Returns:
    {Membership}
- {Boolean} getPermission(action)
  Parameters:
  {String} action
  Returns:
    {Boolean}
- {Object} search(searchString)
  Parameters:
  {String} searchString
  Returns:
    {Object}